openSUSE 安全性更新:freetype2 (openSUSE-2015-639)

high Nessus Plugin ID 86336

Synopsis

遠端 openSUSE 主機缺少安全性更新。

描述

此 freetype2 程式庫更新可修正兩個安全性問題。

已修正這些安全性問題:

- CVE-2014-9745:t1load.c 的 parse_encoding 中發生無限迴圈 (bsc#945849)

- CVE-2014-9747:使用 ps_parser_load_field、t42_parse_font_matrix 和 t1_parse_font_matrix 中未初始化的記憶體 (bsc#947966)

解決方案

更新受影響的 freetype2 套件。

另請參閱

https://bugzilla.opensuse.org/show_bug.cgi?id=945849

https://bugzilla.opensuse.org/show_bug.cgi?id=947966

Plugin 詳細資訊

嚴重性: High

ID: 86336

檔案名稱: openSUSE-2015-639.nasl

版本: 2.4

類型: local

代理程式: unix

已發布: 2015/10/12

已更新: 2021/1/19

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: Low

分數: 3.6

CVSS v2

風險因素: Medium

基本分數: 5

媒介: AV:N/AC:L/Au:N/C:N/I:N/A:P

CVSS v3

風險因素: High

基本分數: 7.5

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

弱點資訊

CPE: p-cpe:/a:novell:opensuse:freetype2-debugsource, p-cpe:/a:novell:opensuse:freetype2-devel, p-cpe:/a:novell:opensuse:freetype2-devel-32bit, p-cpe:/a:novell:opensuse:ft2demos, p-cpe:/a:novell:opensuse:ft2demos-debuginfo, p-cpe:/a:novell:opensuse:ft2demos-debugsource, p-cpe:/a:novell:opensuse:libfreetype6, p-cpe:/a:novell:opensuse:libfreetype6-32bit, p-cpe:/a:novell:opensuse:libfreetype6-debuginfo, p-cpe:/a:novell:opensuse:libfreetype6-debuginfo-32bit, cpe:/o:novell:opensuse:13.1

必要的 KB 項目: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

修補程式發佈日期: 2015/10/1

參考資訊

CVE: CVE-2014-9745, CVE-2014-9747